/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:13pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Helena.cs
Lines of code: 78

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class BattleOfTheWitchesQuest : BaseQuest
	{				
		public override object Title{ get{ return "Battle Of The Witches"; } }
		
		public override object Description{ get{ return "Oh that witch in DreadDale how I loathe her. What's her name again? Agnes? Well let me put it bluntly, she's stealing all my business. I'm the best hex writer in all of Wormwood and she's stealing my customers away from me. Well, we'll just see about that.<br><br>Here's my plan, we kill off those ravens and prevent her from making quills out of their feathers. All hex writers know that the best hexes are written from raven feathers so she won't know what to do! I have a large stash of raven feather's in my house so I'll be able to continue my work while she runs around like a chicken with its head lopped off!<br><br>Kill off those ravens then return to me. If you do a good job, I'll reward you!"; } }
		
		public override object Refuse{ get{ return "Fine, I guess I'll go do it myself then!"; } }
		
		public override object Uncomplete{ get{ return "Check the cemetery for ravens, that's where they like to gather."; } }
		
		public override object Complete{ get{ return "You slayed all the raven I asked you to slay? Good stuff! Take this bag of candy as your reward!"; } }
	
		public BattleOfTheWitchesQuest() : base()
		{			
			AddObjective( new SlayObjective( typeof( Raven ), "Raven", 15 ) );
			
			AddReward( new BaseReward( typeof( CandyBagC ), "A bag of candy" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Helena : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( BattleOfTheWitchesQuest )
			};} 
		}
		
		[Constructable]
		public Helena() : base( "Helena", "the hex writer" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Helena( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;
			HairHue = 1153;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}